version: '3'
services:
  pgtt-jpt-mantem-autuacoes:
    image: registry.gitlab.com/projectengine-team/bristech/pgtt-jpt-mantem-autuacoes:latest
    hostname: pgtt-jpt-mantem-autuacoes
    container_name: pgtt-jpt-mantem-autuacoes
    ports:
      - "8080"
    environment:
      - SPRING_PROFILES_ACTIVE=dev
      - SERVER_PORT=8080
      - SPRING_DATASOURCE_HIKARI_SCHEMA=urbes_autuacoes_dev
      - SPRING_DATASOURCE_PASSWORD=pUzNEvMB6pdRc
      - SPRING_DATASOURCE_URL=jdbc:postgresql://urbes-postgresql-dev.cm8nlqutc2tg.sa-east-1.rds.amazonaws.com:5432/urbes_db_dev
      - SPRING_DATASOURCE_USERNAME=urbes_usr_dev
      - SPRING_JPA_HIBERNATE_DDL_AUTO=update
      - SPRING_JPA_PROPERTIES_HIBERNATE_DIALECT=org.hibernate.dialect.PostgreSQLDialect